Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.score.director.simple
Class SimpleScoreDirectorFactory

    java.lang.Object
      org.drools.planner.core.score.director.AbstractScoreDirectorFactory
          org.drools.planner.core.score.director.simple.SimpleScoreDirectorFactory

All Implemented Interfaces:
  ScoreDirectorFactory

    public class SimpleScoreDirectorFactory

extends AbstractScoreDirectorFactory

Simple implementation of `ScoreDirectorFactory`.

See Also:
  `SimpleScoreDirector`, `ScoreDirectorFactory`

Field Summary

Fields inherited from class org.drools.planner.core.score.director.AbstractScoreDirectorFactory
`logger, scoreDefinition, solutionDescriptor`

Constructor Summary
`SimpleScoreDirectorFactory(SimpleScoreCalculator simpleScoreCalculator)`

Method Summary
`SimpleScoreDirector` | `buildScoreDirector()` Creates a new `ScoreDirector` instance.
`SimpleScoreCalculator` | `getSimpleScoreCalculator()`

Methods inherited from class org.drools.planner.core.score.director.AbstractScoreDirectorFactory
`getScoreDefinition, getSolutionDescriptor, setScoreDefinition, setSolutionDescriptor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleScoreDirectorFactory

    public SimpleScoreDirectorFactory(SimpleScoreCalculator simpleScoreCalculator)

Method Detail

### getSimpleScoreCalculator

    public SimpleScoreCalculator getSimpleScoreCalculator()

### buildScoreDirector

    public SimpleScoreDirector buildScoreDirector()

  Description copied from interface: `ScoreDirectorFactory`
  Creates a new `ScoreDirector` instance.

  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.